$!-----------------------------------------------------------------------------
$! BUILD_HYPERSPIXX$AGENT.COM
$! Builds the HYPERSPIXX$AGENT utility
$!
$! 01-DEC-1995  MGD  VAX migrate from VAX C to DEC C
$! 20-JUN-1995  MGD  initial development
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ WRITE SYS$OUTPUT "" 
$ WRITE SYS$OUTPUT "Building ""HYPERSPIXX$AGENT""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$!
$ DEFINES = "/DEFINE=(__VMS)"
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/PREFIX=ALL/NODEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$    LINK_OPTIONS = "HYPERSPIXX$AGENT_VAX.OPT/OPTIONS"
$ ELSE
$    CC_OPTIONS = "/PREFIX=ALL/NODEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$!    CC_OPTIONS = CC_OPTIONS + "/WARN=(ENA=QUESTCODE)/DIAG"
$    LINK_OPTIONS = "HYPERSPIXX$AGENT_AXP.OPT/OPTIONS"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' hyperspixx$agent
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE=HT_EXE:HYPERSPIXX$AGENT.EXE -
     'OBJECT_DIR'hyperspixx$agent, -
     []'LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'OBJECT_DIR'
$!-----------------------------------------------------------------------------
